#ifndef MAX6953_H
#define	MAX6953_H
//------------------------Dot Matrix LED  Driver--------------------------------
#include <string.h>
#include "../i2c/I2C.h"
#include "MAX6953_Prototypes.h"
//------------------------------------------------------------------------------
void MAX6953_init()
{  
//  I2C_init(100000);   //Start at 100Kb/s
  
  MAX6953_write(DECODE_MODE_REG, DECODE_ALL);    //Decodes ascii characters
  MAX6953_write(INTESITY_REG10, BRIGHTNESS); 
  MAX6953_write(INTESITY_REG32, BRIGHTNESS);
  MAX6953_write(SCAN_LIMIT_REG, SCAN_LOW_NIBBLE);
  MAX6953_write(SHUTDOWN_REG, NORMAL_OPERATION);
}
//------------------------------------------------------------------------------
void MAX6953_write(char reg, char data)
{
  I2C_start();
 
  I2C_write(DEVICE_ADDRESS);
  I2C_write(reg); 
  I2C_write(data);
  
  I2C_stop();
}
//------------------------------------------------------------------------------
void MAX6953_displayNumber(signed int number)
{   
  char strNum[10]; 
  sprintf(strNum,"%4i",number);
  
  MAX6953_display(strNum);
}
//------------------------------------------------------------------------------
void MAX6953_display(char text[])
{
  I2C_start();

  I2C_write(DEVICE_ADDRESS);
  I2C_write(DISPLAY_REG0);          //auto increments on every write
  while(*text)
  {
    I2C_write(*text++); 
  }
  
  I2C_stop();
}
//------------------------------------------------------------------------------
#endif	